<template>
    <div onclick={selectBoat} class={tileClass} data-id='main'>
        <div style={backgroundStyle} class="tile"></div>
        <div if:true={boat} class="lower-third">
            <h1 class="slds-truncate slds-text-heading_medium"> {boat.Name} </h1>
            <h2 class="slds-truncate slds-text-heading_small">{boat.Contact__r.Name}</h2>
            <div class="slds-text-body_small">
                Price: $
                <lightning-formatted-number value={boat.Price__c} maximum-fraction-digits="2"></lightning-formatted-number>
            </div>
            <div class="slds-text-body_small">Length: {boat.Length__c}</div>
            <div class="slds-text-body_small">Type: {boat.BoatType__r.Name}</div>
        </div>
    </div>
</template>